{
    "name": "@illusory/mapp",
    "version": "1.0.0",
    "private": true,
    "engines": {
        "node": ">=24"
    },
    "packageManager": "pnpm@10.30.3",
    "scripts": {
        "build": "turbo build",
        "dev": "turbo dev --concurrency=8",
        "auth:schemagen": "source .env && cd packages/logic && pnpm run auth:schemagen",
        "db:migrate": "./scripts/migrate.sh",
        "prod": "turbo prod",
        "test": "turbo test"
    },
    "devDependencies": {
        "prettier": "^3.8.1",
        "prettier-plugin-sort-imports": "^1.8.11",
        "prettier-plugin-svelte": "^3.5.0",
        "prettier-plugin-tailwindcss": "^0.7.2",
        "turbo": "^2.8.16",
        "typescript": "^5.9.3"
    },
    "prettier": {
        "arrowParens": "always",
        "singleQuote": false,
        "jsxSingleQuote": false,
        "semi": true,
        "trailingComma": "all",
        "tabWidth": 4,
        "plugins": [
            "prettier-plugin-sort-imports",
            "prettier-plugin-tailwindcss",
            "prettier-plugin-svelte"
        ]
    }
}
